package com.ruoyi.dxp.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 数据字段对象 dxp_data_item
 * 
 * @author jy
 * @date 2022-11-12
 */
public class DataItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 数据类型：integration整合数据，share共享数据 */
    private String dataType;

    /** 所属数据id（整合数据或共享数据） */
    @Excel(name = "所属数据id", readConverterExp = "整=合数据或共享数据")
    private Long dataId;

    /** 列名称 */
    @Excel(name = "列名称")
    private String columnName;

    /** 列描述 */
    @Excel(name = "列描述")
    private String columnComment;

    /** 列类型 */
    @Excel(name = "列类型")
    private String columnType;

    /** 是否主键（1是） */
    @Excel(name = "是否主键", readConverterExp = "1=是")
    private String isPk;

    /** 是否自增（1是） */
    @Excel(name = "是否自增", readConverterExp = "1=是")
    private String isIncrement;

    /** 是否必填（1是） */
    @Excel(name = "是否必填", readConverterExp = "1=是")
    private String isRequired;

    /** 是否可见（1可见） */
    @Excel(name = "是否可见", readConverterExp = "1=可见")
    private String isVisable;

    /** 是否可搜索（1可搜索） */
    @Excel(name = "是否可搜索", readConverterExp = "1=可搜索")
    private String isSearchable;

    /** 脱敏规则id：关联脱敏规则 */
    @Excel(name = "脱敏规则id：关联脱敏规则")
    private Long desensitizationRuleId;

    /** 排序：从小到大 */
    @Excel(name = "排序：从小到大")
    private Long sort;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDataType(String dataType) 
    {
        this.dataType = dataType;
    }

    public String getDataType() 
    {
        return dataType;
    }
    public void setDataId(Long dataId) 
    {
        this.dataId = dataId;
    }

    public Long getDataId() 
    {
        return dataId;
    }
    public void setColumnName(String columnName) 
    {
        this.columnName = columnName;
    }

    public String getColumnName() 
    {
        return columnName;
    }
    public void setColumnComment(String columnComment) 
    {
        this.columnComment = columnComment;
    }

    public String getColumnComment() 
    {
        return columnComment;
    }
    public void setColumnType(String columnType) 
    {
        this.columnType = columnType;
    }

    public String getColumnType() 
    {
        return columnType;
    }
    public void setIsPk(String isPk) 
    {
        this.isPk = isPk;
    }

    public String getIsPk() 
    {
        return isPk;
    }
    public void setIsIncrement(String isIncrement) 
    {
        this.isIncrement = isIncrement;
    }

    public String getIsIncrement() 
    {
        return isIncrement;
    }
    public void setIsRequired(String isRequired) 
    {
        this.isRequired = isRequired;
    }

    public String getIsRequired() 
    {
        return isRequired;
    }
    public void setIsVisable(String isVisable) 
    {
        this.isVisable = isVisable;
    }

    public String getIsVisable() 
    {
        return isVisable;
    }
    public void setIsSearchable(String isSearchable) 
    {
        this.isSearchable = isSearchable;
    }

    public String getIsSearchable() 
    {
        return isSearchable;
    }
    public void setDesensitizationRuleId(Long desensitizationRuleId) 
    {
        this.desensitizationRuleId = desensitizationRuleId;
    }

    public Long getDesensitizationRuleId() 
    {
        return desensitizationRuleId;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dataType", getDataType())
            .append("dataId", getDataId())
            .append("columnName", getColumnName())
            .append("columnComment", getColumnComment())
            .append("columnType", getColumnType())
            .append("isPk", getIsPk())
            .append("isIncrement", getIsIncrement())
            .append("isRequired", getIsRequired())
            .append("isVisable", getIsVisable())
            .append("isSearchable", getIsSearchable())
            .append("desensitizationRuleId", getDesensitizationRuleId())
            .append("sort", getSort())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
